Download Profiling Session Results
Download the Profiler Log for a specific profiling session. A profiling session log is a CSV which contains one row for each SDK request, with a maximum of 100,000 rows.
GET
/api/{version}/code/profiler/{session_name}/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{session_name} | The name of the session, for example, baseline__c. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/code/profiler/baseline__c/results > fileResponse Headers
Section link for Response HeadersContent-Type: application/zip;charset=UTF-8
Content-Disposition: attachment;filename="baseline__c.zip"Response Details
Section link for Response DetailsOn SUCCESS, Vault downloads the results of the specified profiling session. The HTTP Response Header Content-Type is set to application/zip. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file.
The log is a CSV file with the following information for each SDK request: